using ReportingServices.Shared.Models.ProductionReport;
using ReportingServices.Shared.ViewModels.ProductionReport;

namespace ReportingServices.Shared.Repositories
{
    public interface IFabTimeReportingRepository
    {
        public Task<List<ReactorOutsByRDS>> GetMovesTrendData(string startDate = "", string endDate = "");
        public Task<List<EquipmentStateByDay>> GetToolStateTrendData(string toolType);
        public Task<List<ToolStateCurrent>> GetToolStateData(string toolType);
        public Task<T> GetJsonData<T>(string url);
    }
}
